package com.ningdatech.carapi.irs.service;

import com.ningdatech.cache.model.cache.CacheKey;

public interface RefreshKeyService {

    String refresh();

    String getRequestSecret(String appKey, String appSecret);
    String getRefreshSecret(String appKey, String appSecret);
    String refreshSecret(String appKey, String refreshSecret);

    String getRequestSecret(String appKey, String appSecret, CacheKey requestKey, CacheKey refreshKey);
    String refreshRequestSecret(String appKey, CacheKey requestKey, CacheKey refreshKey, String refreshSecret);
}
